Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 778458 - sys-devel/elftoolchain-0.7.1 does not respect CFLAGS/LDFLAGS
Summary: sys-devel/elftoolchain-0.7.1 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jakov Smolic
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: cflags ldflags
  Show dependency tree
 
Reported: 2021-03-26 15:08 UTC by Agostino Sarubbo
Modified: 2021-04-03 12:31 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,62.23 KB, text/plain)
2021-03-26 15:08 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-03-26 15:08:45 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sys-devel/elftoolchain-0.7.1 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: ci)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2021-03-26 15:08:48 UTC
Created attachment 694356 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-04-03 12:31:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=142bb6ee2cfdcc77f29da1d70622de18952fef70

commit 142bb6ee2cfdcc77f29da1d70622de18952fef70
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-04-03 12:30:38 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-04-03 12:30:38 +0000

    sys-devel/bmake: Bump mk files to 20210330, include additional .mk fixes
    
    * Respect LDFLAGS
    * Do not strip prog binaries when installing them
    
    Closes: https://bugs.gentoo.org/779340
    Closes: https://bugs.gentoo.org/778458
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 sys-devel/bmake/Manifest                           |  1 +
 sys-devel/bmake/bmake-20210314-r1.ebuild           | 55 ++++++++++++++++++
 .../bmake/files/bmake-20210314-mk-fixes.patch      | 66 ++++++++++++++++++++++
 3 files changed, 122 insertions(+)